<?php
// Inclui o arquivo de conexão
require 'conexao/conexao.php';

// Verifica se o parâmetro de estado foi enviado via GET
if (isset($_GET['estado'])) {
    $estado = $_GET['estado'];

    // Prepara uma declaração para selecionar as cidades do estado fornecido
    $stmt = $connectionmysql->prepare("SELECT cid.id_cidade, cid.nome_cidade FROM cidade cid WHERE cid.uf = ? ");
    $stmt->bind_param('s', $estado);
    $stmt->execute();
    $result = $stmt->get_result();

    // Array para armazenar as cidades
    $cidades = array();

    // Loop para obter as cidades
    while ($row = $result->fetch_assoc()) {
        $cidades[] = $row;
    }

    // Fecha a declaração e a conexão
    $stmt->close();
    $connectionmysql->close();

    // Retorna as cidades como JSON
    echo json_encode($cidades);
} else {
    // Se o parâmetro de estado não foi fornecido, retorna um array vazio
    echo json_encode(array());
}
?>
